org.jboss.jca.core.recovery

## Class ValidatingManagedConnectionFactoryRecoveryPlugin

- java.lang.Object
- - org.jboss.jca.core.recovery.ValidatingManagedConnectionFactoryRecoveryPlugin

- All Implemented Interfaces:
    org.jboss.jca.core.spi.recovery.RecoveryPlugin

      public class ValidatingManagedConnectionFactoryRecoveryPlugin
      extends java.lang.Object
      implements org.jboss.jca.core.spi.recovery.RecoveryPlugin

  Marker recovery plugin to let the recovery subsystem know that the ValidatingManagedConnectionFactory interface should be used for verifying the managed connection
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatingManagedConnectionFactoryRecoveryPlugin()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(java.lang.Object c)` Perform a close operation on the passed connection object instance - like a CCI Connection instance.
    `boolean` | `isValid(java.lang.Object c)` Check if the passed connection object instance is still valid, and hence the underlying physical connection

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatingManagedConnectionFactoryRecoveryPlugin

          public ValidatingManagedConnectionFactoryRecoveryPlugin()

      Constructor

  - ### Method Detail

    - #### isValid

          public boolean isValid(java.lang.Object c)
                          throws javax.resource.ResourceException

      Check if the passed connection object instance is still valid, and hence the underlying physical connection
      Specified by:
        `isValid` in interface `org.jboss.jca.core.spi.recovery.RecoveryPlugin`
      Parameters:
        `c` - The connection instance
      Returns:
        `True` if the connection is still valid, otherwise `false`
      Throws:
        `javax.resource.ResourceException` - Thrown in case of an error

    - #### close

          public void close(java.lang.Object c)
                     throws javax.resource.ResourceException

      Perform a close operation on the passed connection object instance - like a CCI Connection instance. Any error during this operation should result in an exception, which will force a close of the physical connection to the Enterprise Information System
      Specified by:
        `close` in interface `org.jboss.jca.core.spi.recovery.RecoveryPlugin`
      Parameters:
        `c` - The connection instance
      Throws:
        `javax.resource.ResourceException` - Thrown in case of an error
      See Also:
        `Connection`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)